Upstream information

CVE-2019-10691 at MITRE

Description

The JSON encoder in Dovecot before 2.3.5.2 allows attackers to repeatedly crash the authentication service by attempting to authenticate with an invalid UTF-8 sequence as the username.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

SUSE Bugzilla entry: 1132501 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Module for Server Applications 15
  • dovecot23 >= 2.3.3-4.13.1
  • dovecot23-backend-mysql >= 2.3.3-4.13.1
  • dovecot23-backend-pgsql >= 2.3.3-4.13.1
  • dovecot23-backend-sqlite >= 2.3.3-4.13.1
  • dovecot23-devel >= 2.3.3-4.13.1
  • dovecot23-fts >= 2.3.3-4.13.1
  • dovecot23-fts-lucene >= 2.3.3-4.13.1
  • dovecot23-fts-solr >= 2.3.3-4.13.1
  • dovecot23-fts-squat >= 2.3.3-4.13.1
Patchnames:
SUSE-SLE-Module-Server-Applications-15-2019-997
openSUSE Leap 15.0
  • dovecot23 >= 2.3.3-lp150.11.1
  • dovecot23-backend-mysql >= 2.3.3-lp150.11.1
  • dovecot23-backend-mysql-debuginfo >= 2.3.3-lp150.11.1
  • dovecot23-backend-pgsql >= 2.3.3-lp150.11.1
  • dovecot23-backend-pgsql-debuginfo >= 2.3.3-lp150.11.1
  • dovecot23-backend-sqlite >= 2.3.3-lp150.11.1
  • dovecot23-backend-sqlite-debuginfo >= 2.3.3-lp150.11.1
  • dovecot23-debuginfo >= 2.3.3-lp150.11.1
  • dovecot23-debugsource >= 2.3.3-lp150.11.1
  • dovecot23-devel >= 2.3.3-lp150.11.1
  • dovecot23-fts >= 2.3.3-lp150.11.1
  • dovecot23-fts-debuginfo >= 2.3.3-lp150.11.1
  • dovecot23-fts-lucene >= 2.3.3-lp150.11.1
  • dovecot23-fts-lucene-debuginfo >= 2.3.3-lp150.11.1
  • dovecot23-fts-solr >= 2.3.3-lp150.11.1
  • dovecot23-fts-solr-debuginfo >= 2.3.3-lp150.11.1
  • dovecot23-fts-squat >= 2.3.3-lp150.11.1
  • dovecot23-fts-squat-debuginfo >= 2.3.3-lp150.11.1
Patchnames:
openSUSE-2019-1312


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise 15 Module for Server Applications dovecot Analysis
SUSE Linux Enterprise 15 Module for Server Applications dovecot23 Released
SUSE Linux Enterprise High Performance Computing 12 SP3 dovecot22 Not affected
SUSE Linux Enterprise High Performance Computing 12 SP4 dovecot Analysis
SUSE Linux Enterprise High Performance Computing 12 SP4 dovecot22 Not affected
SUSE Linux Enterprise Server 12 LTSS dovecot Analysis
SUSE Linux Enterprise Server 12 LTSS dovecot22 Not affected
SUSE Linux Enterprise Server 12 SP1 LTSS dovecot Analysis
SUSE Linux Enterprise Server 12 SP1 LTSS dovecot22 Not affected
SUSE Linux Enterprise Server 12 SP2 LTSS dovecot Analysis
SUSE Linux Enterprise Server 12 SP2 LTSS dovecot22 Not affected
SUSE Linux Enterprise Server 12 SP3 dovecot Analysis
SUSE Linux Enterprise Server 12 SP3 dovecot22 Not affected
SUSE Linux Enterprise Server 12 SP4 dovecot Analysis
SUSE Linux Enterprise Server 12 SP4 dovecot22 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 dovecot Analysis
SUSE Linux Enterprise Server for SAP Applications 12 dovecot22 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 dovecot Analysis
SUSE Linux Enterprise Server for SAP Applications 12 SP2 dovecot22 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 dovecot Analysis
SUSE Linux Enterprise Server for SAP Applications 12 SP4 dovecot22 Not affected
SUSE Linux Enterprise Software Development Kit 12 SP4 dovecot22 Not affected